> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a project



## OpenAPI

````yaml delete /projects
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /projects:
    delete:
      tags:
        - Projects
      summary: Delete a project
      operationId: deleteProject
      parameters:
        - in: query
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Project deleted
      x-codeSamples:
        - lang: python
          label: deleteProject
          source: |-
            import honeyhive

            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.projects.delete_project(name='<value>')

            if res is not None:
                # handle response
                pass
        - lang: typescript
          label: deleteProject
          source: >-
            import { HoneyHive } from "honeyhive";

            import { DeleteProjectRequest } from
            "honeyhive/dist/models/operations";


            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const name: string = "<value>";

              const res = await sdk.projects.deleteProject(name);

              if (res.statusCode == 200) {
                // handle response
              }
            }


            run();
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````